%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Summary: Constructionist learning platform
Name:    sugar
Version: 0.108.1
Release: %mkrel 3
URL:     http://sugarlabs.org/
License: GPLv2+
Group:   Graphical desktop/Other
Source0: http://download.sugarlabs.org/sources/sucrose/glucose/%{name}/%{name}-%{version}.tar.xz
Patch0:  sugar-0.107.1-gnomekeyring.patch

BuildRequires: dconf-devel
BuildRequires: gettext
BuildRequires: libGConf2-devel
BuildRequires: gtk3-devel
BuildRequires: gtksourceview-devel
BuildRequires: intltool
BuildRequires: perl-XML-Parser
BuildRequires: pkgconfig
BuildRequires: python
BuildRequires: pkgconfig(gobject-introspection-1.0)

Requires: avahi
Requires: dbus-x11
Requires: dconf
Requires: ethtool
Requires: gnome-keyring
#Requires: gstreamer-plugins-espeak
#Requires: gtksourceview3
Requires: gvfs
Requires: gwebsockets
Requires: libwnck3
#Requires: libxklavier
Requires: metacity
Requires: NetworkManager
Requires: openssh
Requires: polkit
Requires: python-telepathy
Requires: sugar-artwork
Requires: sugar-toolkit-gtk3
Requires: telepathy-mission-control
Requires: telepathy-gabble
Requires: telepathy-salut
Requires: upower
Requires: xdg-user-dirs

BuildArch: noarch

%description
Sugar provides simple yet powerful means of engaging young children in the 
world of learning that is opened up by computers and the Internet. With Sugar,
even the youngest learner will quickly become proficient in using the 
computer as a tool to engage in authentic problem-solving.  Sugar promotes 
sharing, collaborative learning, and reflection, developing skills that help 
them in all aspects of life. 

Sugar is also the learning environment for the One Laptop Per Child project. 
See http://www.laptop.org for more information on this project.

%package cp-all
Summary: All control panel modules 
Group: Graphical desktop/Other
Requires: %{name} = %{version}-%{release}
Requires: %{name}-cp-background %{name}-cp-backup %{name}-cp-datetime 
Requires: %{name}-cp-frame %{name}-cp-language %{name}-cp-modemconfiguration
Requires: %{name}-cp-network %{name}-cp-keyboard %{name}-cp-webaccount 
Requires: %{name}-cp-updater

%description cp-all
This is a meta package to install all Sugar Control Panel modules

%package cp-background
Summary: Sugar Background control panel
Group: Graphical desktop/Other
Requires: %{name} = %{version}-%{release}

%description cp-background
This is the Sugar control panel to change the background

%package cp-backup
Summary: Sugar Backup control panel
Group: Graphical desktop/Other
Requires: %{name} = %{version}-%{release}

%description cp-backup
This is the Sugar control panel to backup and restore the Journal

%package cp-datetime
Summary: Sugar Date and Time control panel
Group: Graphical desktop/Other
Requires: %{name} = %{version}-%{release}

%description cp-datetime
This is the Sugar Date and Time settings control panel

%package cp-frame
Summary: Sugar Frame control panel
Group: Graphical desktop/Other
Requires: %{name} = %{version}-%{release}

%description cp-frame
This is the Sugar Frame settings control panel

%package cp-keyboard
Summary: Sugar Keyboard control panel
Group: Graphical desktop/Other
Requires: %{name} = %{version}-%{release}

%description cp-keyboard
This is the Sugar Keyboard settings control panel

%package cp-language
Summary: Sugar Language control panel
Group: Graphical desktop/Other
Requires: %{name} = %{version}-%{release}

%description cp-language
This is the Sugar Language settings control panel

%package cp-modemconfiguration
Summary: Sugar Modem configuration control panel
Group: Graphical desktop/Other
Requires: %{name} = %{version}-%{release}
Requires: mobile-broadband-provider-info

%description cp-modemconfiguration
This is the Sugar Modem configuration control panel

%package cp-network
Summary: Sugar Network control panel
Group: Graphical desktop/Other
Requires: %{name} = %{version}-%{release}

%description cp-network
This is the Sugar Network settings control panel

%package cp-power
Summary: Sugar Power control panel
Group: Graphical desktop/Other
Requires: %{name} = %{version}-%{release}

%description cp-power
This is the Sugar Power settings control panel

%package cp-updater
Summary: Sugar Activity Update control panel
Group: Graphical desktop/Other
Requires: %{name} = %{version}-%{release}

%description cp-updater
This is the Sugar Activity Updates control panel

%package cp-webaccount
Summary: Sugar Web Account control panel
Group: Graphical desktop/Other
Requires: %{name} = %{version}-%{release}

%description cp-webaccount
This is the Sugar Web Account control panel


%prep
%setup -q
%patch0 -p1 -b .keyring

%build
%configure
%make

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%make_install
mkdir %{buildroot}/%{_datadir}/sugar/activities
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang %{name}

%post
/bin/touch --no-create %{_datadir}/mime/packages &> /dev/null || :
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
	%{_sysconfdir}/gconf/schemas/sugar.schemas > /dev/null || :

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/sugar.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/sugar.schemas > /dev/null || :
fi

%postun
if [ $1 -eq 0 ] ; then
  /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
  /usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :
fi

%posttrans
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
/usr/bin/update-mime-database %{?fedora:-n} %{_datadir}/mime &> /dev/null || :

%files -f %{name}.lang
%license COPYING
%config %{_sysconfdir}/dbus-1/system.d/nm-user-settings.conf
%config %{_sysconfdir}/gconf/schemas/sugar.schemas
%{_bindir}/sugar*
%{_datadir}/GConf/gsettings/sugar-schemas.convert
%{_datadir}/glib-2.0/schemas/org.sugarlabs.gschema.xml
%{_datadir}/mime/packages/sugar.xml
%{_datadir}/xsessions/sugar.desktop

%{python_sitelib}/*

%dir %{_datadir}/sugar
%dir %{_datadir}/sugar/activities
%dir %{_datadir}/sugar/extensions
%dir %{_datadir}/sugar/extensions/cpsection

%{_datadir}/sugar/data
%{_datadir}/sugar/extensions/deviceicon
%{_datadir}/sugar/extensions/globalkey
%{_datadir}/sugar/extensions/webservice
%{_datadir}/sugar/extensions/cpsection/*.py*
%{_datadir}/sugar/extensions/cpsection/aboutcomputer
%{_datadir}/sugar/extensions/cpsection/aboutme
%exclude %{_datadir}/sugar/extensions/cpsection/[b-z]*
%{_datadir}/polkit-1/actions/org.sugar.brightness.policy
%{_datadir}/polkit-1/actions/org.sugar.serial-number.policy

%files cp-all

%files cp-background
%{_datadir}/sugar/extensions/cpsection/background

%files cp-backup
%{_datadir}/sugar/extensions/cpsection/backup

%files cp-datetime
%{_datadir}/sugar/extensions/cpsection/datetime

%files cp-frame
%{_datadir}/sugar/extensions/cpsection/frame

%files cp-keyboard
%{_datadir}/sugar/extensions/cpsection/keyboard

%files cp-language
%{_datadir}/sugar/extensions/cpsection/language

%files cp-modemconfiguration
%{_datadir}/sugar/extensions/cpsection/modemconfiguration

%files cp-network
%{_datadir}/sugar/extensions/cpsection/network

%files cp-power
%{_datadir}/sugar/extensions/cpsection/power

%files cp-updater
%{_datadir}/sugar/extensions/cpsection/updater

%files cp-webaccount
%{_datadir}/sugar/extensions/cpsection/webaccount



%changelog
* Wed May 18 2016 tv <tv> 0.108.1-3.mga6
+ Revision: 1016761
- fix some requires blindly imported from FC
- fix all bogus auto requires by rebuilding with new rpm-mageia-setup

* Wed May 18 2016 tv <tv> 0.108.1-2.mga6
+ Revision: 1016742
- exclude some bogus auto requires
- use %%license

* Sun May 08 2016 zezinho <zezinho> 0.108.1-1.mga6
+ Revision: 1010528
- new version

* Mon Jan 25 2016 zezinho <zezinho> 0.107.2-1.mga6
+ Revision: 927605
- new version

* Mon Jan 18 2016 zezinho <zezinho> 0.107.1-2.mga6
+ Revision: 925329
- patch rediffed
- fix rpm group
- new version 0.107.1
- new version 0.107 sync with fedora

* Thu Sep 10 2015 zezinho <zezinho> 0.106.0-1.mga6
+ Revision: 875760
- new version

* Wed Oct 15 2014 umeabot <umeabot> 0.102.0-4.mga5
+ Revision: 746075
- Second Mageia 5 Mass Rebuild

* Wed Sep 24 2014 wally <wally> 0.102.0-3.mga5
+ Revision: 724233
- filter out 'false' typelib() requires

* Tue Sep 16 2014 umeabot <umeabot> 0.102.0-2.mga5
+ Revision: 689581
- Mageia 5 Mass Rebuild

* Wed Aug 06 2014 zezinho <zezinho> 0.102.0-1.mga5
+ Revision: 660263
- new version

  + pterjan <pterjan>
    - Rebuild for new Python

* Mon May 26 2014 wally <wally> 0.101.7-2.mga5
+ Revision: 626854
- rebuild with new rpm-mageia-setup to fix typelib() requires

* Wed May 21 2014 zezinho <zezinho> 0.101.7-1.mga5
+ Revision: 624787
- disable upstream applied patch
- new version

* Sat Nov 02 2013 fwang <fwang> 0.98.8-4.mga4
+ Revision: 549010
- use configure2_5x

* Sat Nov 02 2013 fwang <fwang> 0.98.8-3.mga4
+ Revision: 548995
- bump rel
- cleanup requires, sugar now uses gobject-introspection rather than static binding

* Sat Oct 19 2013 umeabot <umeabot> 0.98.8-2.mga4
+ Revision: 528381
- Mageia 4 Mass Rebuild

* Tue Jun 18 2013 zezinho <zezinho> 0.98.8-1.mga4
+ Revision: 444794
- new version

* Wed Mar 13 2013 zezinho <zezinho> 0.98.5-1.mga3
+ Revision: 402339
- new bugfix version

* Mon Jan 14 2013 umeabot <umeabot> 0.98.3-2.mga3
+ Revision: 383580
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 27 2012 zezinho <zezinho> 0.98.3-1.mga3
+ Revision: 335613
- new version

* Thu Dec 13 2012 zezinho <zezinho> 0.98.1-1.mga3
+ Revision: 330436
- new version
- spec cleanup from fedora

* Mon Dec 03 2012 zezinho <zezinho> 0.98.0-1.mga3
+ Revision: 326104
- now it requires gtk+3
- new version

* Wed Nov 21 2012 zezinho <zezinho> 0.96.3-1.mga3
+ Revision: 320052
- new version

* Mon Sep 24 2012 blino <blino> 0.95.3-2.mga3
+ Revision: 297167
- drop hardcoded hal requirement, sugar is using gio volume monitor

* Tue Jan 03 2012 zezinho <zezinho> 0.95.3-1.mga2
+ Revision: 189899
- new version

* Sun Nov 20 2011 zezinho <zezinho> 0.95.2-1.mga2
+ Revision: 169652
- new version

* Thu Nov 17 2011 zezinho <zezinho> 0.95.1-2.mga2
+ Revision: 168534
- update requires according to upstream

* Mon Nov 14 2011 zezinho <zezinho> 0.95.1-1.mga2
+ Revision: 167741
- new version

* Thu Oct 20 2011 zezinho <zezinho> 0.94.1-1.mga2
+ Revision: 156968
- patch to fix desktop file

* Mon Jul 04 2011 ennael <ennael> 0.88.0-2.mga2
+ Revision: 118257
- remove buildroot
- imported package sugar

